U++ - Bug #139
ide: after deleting file, Tab goes back to original name
10/19/2011 10:32 AM - Miroslav Fidler

Status: Approved Start date: 10/19/2011
Priority: Immediate Due date:

Assignee: Miroslav Fidler % Done: 100%
Category: IDE Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Maybe just check whether Tab name exists?

History

#1 - 10/26/2011 10:32 AM - Miroslav Fidler

- Subject changed from ide: after remaining file, Tab goes back to original name to ide: after deleting file, Tab goes back to original name
#2 - 10/28/2011 08:23 PM - Sender Ghost
- File uppsrc.diff added

- Status changed from New to Patch ready
- % Done changed from 0 to 100

| solved this issue with some workaround (to disable circular raises of callbacks).

#3 - 10/30/2011 04:12 AM - Sender Ghost

- File deleted (uppsrc.diff)

#4 - 10/30/2011 04:13 AM - Sender Ghost

- File uppsrc.diff added

Fixed patch a bit.

#5 - 10/30/2011 06:07 AM - Sender Ghost

- File deleted (uppsrc.diff)

#6 - 10/30/2011 06:09 AM - Sender Ghost

- File uppsrc.diff added
- % Done changed from 100 to 90

Fixed issue with tab files from many packages. But maybe, there is more elegant solution.

#7 - 10/30/2011 06:30 AM - Sender Ghost
- File deleted (uppsrc.diff)

#8 - 10/30/2011 06:32 AM - Sender Ghost
- File uppsrc.diff added
#9 - 11/04/2011 10:24 AM - Miroslav Fidler
- Priority changed from Urgent to Immediate

#10 - 11/05/2011 08:38 AM - Sender Ghost
- File uppsrc2.diff added
- % Done changed from 90 to 100

Added second version of the patch with more elegant solution, without workaround.

#11 - 11/07/2011 07:32 PM - Miroslav Fidler
- Status changed from Patch ready to Approved

Applied, what was missing is Ctrl+Tab solution, added.

Files

uppsrc.diff 4.48 KB 10/30/2011 Sender Ghost

uppsrc2.diff 4.68 KB 11/05/2011 Sender Ghost
04/26/2025 2/2



